MeiroDocs

Customers Search

Required feature: **customers/search**

Section: Group Customers Search. Base URL: https://instance_name.meiro.io/api/.

Fulltext Search [/customers/fulltext_search{?search_text}]

List All Found Customers [GET]

Required feature: customers/search

  • Parameters

    • search_text (string, optional) - Searched text
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "customers": [
        {
            "customer_entity_id": "2f7ba00d-74da-e57a-4136-d4b51d3b3407",
            "customer_attributes": [
                {
                    "attribute_id": "all_cases",
                    "values": ["john@doe.com", "mary@bloody.com"]
                },
                {
                    "attribute_id": "compound_attribute",
                    "values": [["john@doe.com", 1, null], ["mary@bloody.com", 2, "yes"]]
                }
            ]
        }
    ],
    "additional_attribute_id": "all_cases",
    "customers_total_count": 1028
}

Attribute Value Search [/customers/attributes/{customer_attribute_id}/search{?search_text}]

List All Found Customers [GET]

Required feature: customers/search

  • Parameters

    • search_text (string, optional) - Searched text
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "customers": [
        {
            "customer_entity_id": "2f7ba00d-74da-e57a-4136-d4b51d3b3407",
            "customer_attributes": [
                {
                    "attribute_id": "all_cases",
                    "values": ["john@doe.com", "mary@bloody.com"]
                },
                {
                    "attribute_id": "compound_attribute",
                    "values": [["john@doe.com", 1, null], ["mary@bloody.com", 2, "yes"]]
                }
            ]
        }
    ],
    "additional_attribute_id": "all_cases",
    "customers_total_count": 1028
}

Favourite Customers Search [/customers/favorite/search]

List All Favorite Customers [GET]

Required feature: customers/search

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "customers": [
        {
            "customer_entity_id": "2f7ba00d-74da-e57a-4136-d4b51d3b3407",
            "customer_attributes": [
                {
                    "attribute_id": "all_cases",
                    "values": ["john@doe.com", "mary@bloody.com"]
                },
                {
                    "attribute_id": "compound_attribute",
                    "values": [["john@doe.com", 1, null], ["mary@bloody.com", 2, "yes"]]
                }
            ]
        }
    ],
    "additional_attribute_id": "all_cases",
    "customers_total_count": 1028
}

On this page